[Overview][Constants][Types][Procedures and functions][Variables][Index] | Reference for unit 'Dos' (#rtl)

# MSDos

Execute MS-DOS system call

## Declaration

Source position: dosh.inc line 90

`procedure MSDos(`
`var regs: Registers`
`);`

## Description

MSDos executes an operating system call. This is the same as doing a Intr call with the interrupt number for an os call.

Remark: | Under non-dos operating systems, this call does nothing. On DOS systems, this calls interrupt $21.

## Errors

None.

## See also

Intr |  | Execute interrupt

Documentation generated on: Feb 26 2014